[Firebase Mobile] Can´t generate app with MABS 5.0

Forge Component
(18)
Published on 4 Nov by David Sousa
18 votes
Published on 4 Nov by David Sousa

I´m not able to generate my Android app with the newest Firebase Mobile, with MABS set to 5.0. It does work with the older MABS version 4.2. I have already tried with Firebase 1.0.3, 1.0.4 and 1.0.5 version. I´m currently using Outsystems 11.

This is the error I´m getting:

BUILD FAILED in 18s
FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:fabricGenerateResourcesDebug'.
> Crashlytics Developer Tools error.

Hi Hugo,


I haven't encountered this error yet. Do you have any other plugins on your mobile app?


Regards,

David

Solution

The issue appears to occur on eSpaces upgraded from version 10 to 11. By creating an a new eSpace and moving all from the one that was giving problems to the new one, you should be able to generate the app.

Solution